#include "Graphics.h"

#include "Logger.h"
#include "Config.h"

#include <Windows.h>

#include <memory>

int main() {
	auto Gfx = std::make_unique<D12Graphics>();

	Log_Open("Config.log");

	if (!Gfx->CheckSupport()) {
		std::cout << "No Support for DirectX12\n";
		Log_Write("No Support for DirectX12\n");

		return 1;
	}

	Gfx->CheckVersionSupport();

	Config cfg{};

	LoadConfig(cfg, L"Config.cfg");	
	if (!Gfx->GetResolutions(cfg)) {
		Log_Write("Screen Res failed\n");

		return 1;
	}

	SaveConfig(cfg, L"Config.cfg");

	Log_Close();

	return 0;
}